Show / Hide Table of Contents

# Class EmoteCreateAuditLogData

Contains a piece of audit log data related to an emoji creation.

##### Inheritance

System.Object
EmoteCreateAuditLogData

##### Implements

IAuditLogData

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class EmoteCreateAuditLogData : IAuditLogData

### Properties

| Improve this Doc View Source

#### EmoteId

Gets the snowflake ID of the created emoji.

##### Declaration

    public ulong EmoteId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the snowflake identifier for the created emoji.

| Improve this Doc View Source

#### Name

Gets the name of the created emoji.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of the created emoji.

### Implements

IAuditLogData